!	----------------------------------------------------------------------
!	file name: SaveResults.f90
!
!	Save all results
!	----------------------------------------------------------------------


subroutine SaveResults()


	use Globals

	implicit none


	!	save converged values and wages

	open(1, file='Output\Value.txt', status='unknown')
	write(1, '(5F12.6)') (agrid(ia), W(ia), U(ia), W(ia)-U(ia), J(ia), ia=1,na)
	close(1)

	open(1, file='Output\Asset.txt', status='unknown')
	write(1, '(3F12.6)') (agrid(ia), AE(ia), AU(ia), ia=1,na)
	close(1)

	open(1, file='Output\Wage.txt', status='unknown')
	write(1, '(2F12.6)') (agrid(ia), Wage(ia), ia=1,na)
	close(1)

	open(1, file='Output\Cons.txt', status='unknown')
	write(1, '(3F12.6)') (agrid(ia), CE(ia), CU(ia), ia=1,na)
	close(1)


	!	save measures

	open(1, file='Output\Measure.txt', status='unknown')
	write(1, '(3F12.6)') (dagrid(ia), 100.0D0*mu(ia), 100.0D0*phi(ia), ia=1,dna)
	close(1)
	

end subroutine
