!	----------------------------------------------------------------------
!	file name: SaveResults.f90
!
!	Save all results
!	----------------------------------------------------------------------


subroutine SaveValueDecisionWage()


	use Globals

	implicit none


	!	save converged values and wages

	open(1, file='Output\W.txt', status='unknown')
	write(1, '(<np>F12.6)') ((((W(ia,ik,ie,ip), ip=1,np), ia=1,na), ik=1,nk), ie=1,ne)
	close(1)

	open(1, file='Output\U.txt', status='unknown')
	write(1, '(<np>F12.6)') ((((U(ia,ik,ie,ip), ip=1,np), ia=1,na), ik=1,nk), ie=1,ne)
	close(1)

	open(1, file='Output\J.txt', status='unknown')
	write(1, '(<np>F12.6)') ((((J(ia,ik,ie,ip), ip=1,np), ia=1,na), ik=1,nk), ie=1,ne)
	close(1)

	open(1, file='Output\AE.txt', status='unknown')
	write(1, '(<np>F12.6)') ((((AE(ia,ik,ie,ip), ip=1,np), ia=1,na), ik=1,nk), ie=1,ne)
	close(1)

	open(1, file='Output\AU.txt', status='unknown')
	write(1, '(<np>F12.6)') ((((AU(ia,ik,ie,ip), ip=1,np), ia=1,na), ik=1,nk), ie=1,ne)
	close(1)

	open(1, file='Output\CE.txt', status='unknown')
	write(1, '(<np>F12.6)') ((((CE(ia,ik,ie,ip), ip=1,np), ia=1,na), ik=1,nk), ie=1,ne)
	close(1)

	open(1, file='Output\CU.txt', status='unknown')
	write(1, '(<np>F12.6)') ((((CU(ia,ik,ie,ip), ip=1,np), ia=1,na), ik=1,nk), ie=1,ne)
	close(1)

	open(1, file='Output\Wages.txt', status='unknown')
	write(1, '(<np>F12.6)') ((((Wage(ia,ik,ie,ip), ip=1,np), ia=1,na), ik=1,nk), ie=1,ne)
	close(1)


end subroutine



subroutine SaveCoef()


	use Globals

	implicit none


	!	save converged coefficients

	open(2, file='Output\Coef_Out.txt', status='unknown')
	write(2, '(<ncoef>F15.10)') coef_th_new
	write(2, '(<ncoef>F15.10)') coef_K_new
	write(2, '(<ncoef>F15.10)') coef_E_new
	close(2)


end subroutine



subroutine SaveTimeSeries()


	use Globals

	implicit none


	!	save simulated time-series data

	open(3, file='Output\THdata.txt', status='unknown')
	write(3, '(F12.6)') THdata
	close(3)

	open(3, file='Output\Kdata.txt', status='unknown')
	write(3, '(F12.6)') Kdata
	close(3)

	open(3, file='Output\KPdata.txt', status='unknown')
	write(3, '(F12.6)') KPdata
	close(3)

	open(3, file='Output\KEdata.txt', status='unknown')
	write(3, '(F12.6)') KEdata
	close(3)

	open(3, file='Output\K2data.txt', status='unknown')
	write(3, '(F12.6)') K2data
	close(3)

	open(3, file='Output\KP2data.txt', status='unknown')
	write(3, '(F12.6)') KP2data
	close(3)

	open(3, file='Output\KUdata.txt', status='unknown')
	write(3, '(F12.6)') KUdata
	close(3)

	open(3, file='Output\Cdata.txt', status='unknown')
	write(3, '(F12.6)') Cdata
	close(3)

	open(3, file='Output\CEdata.txt', status='unknown')
	write(3, '(F12.6)') CEdata
	close(3)

	open(3, file='Output\CUdata.txt', status='unknown')
	write(3, '(F12.6)') CUdata
	close(3)

	open(3, file='Output\Edata.txt', status='unknown')
	write(3, '(F12.6)') Edata
	close(3)

	open(3, file='Output\EPdata.txt', status='unknown')
	write(3, '(F12.6)') EPdata
	close(3)

	open(3, file='Output\Udata.txt', status='unknown')
	write(3, '(F12.6)') Udata
	close(3)

	open(3, file='Output\Vdata.txt', status='unknown')
	write(3, '(F12.6)') Vdata
	close(3)

	open(3, file='Output\EUdata.txt', status='unknown')
	write(3, '(F12.6)') EUdata
	close(3)

	open(3, file='Output\UEdata.txt', status='unknown')
	write(3, '(F12.6)') UEdata
	close(3)

	open(3, file='Output\hEUdata.txt', status='unknown')
	write(3, '(F12.6)') hEUdata
	close(3)

	open(3, file='Output\hUEdata.txt', status='unknown')
	write(3, '(F12.6)') hUEdata
	close(3)

	open(3, file='Output\Wdata.txt', status='unknown')
	write(3, '(F12.6)') Wdata
	close(3)


end subroutine

