* filename: BCK_0.do
* read simulated panel date and creat annual panel

clear all
set mem 40m

cd c:\Research\BCK\Fortran12\Concave_Utility\AX_SS\Output

infile time person asset x wage cons emp using panel.txt

cd c:\Research\BCK\data

compress 


replace wage = . if emp==0
gen year = int(time/12.00001)+1
gen quarter = int(time/3.00001)+1
gen month = time - int(time/12.00001)*12

sort time
egen e = mean(emp), by(time)
gen u = 1-e

save panel_month, replace
format person time year month emp %4.0f 
format wage cons asset u %8.4f
sort person time
preserve

sort person quarter
collapse (rawsum) cons emp (mean) wage asset u, by(quarter person)
save panel_quarter, replace

restore 
preserve

sort person year
collapse (rawsum) cons emp (mean) wage asset u, by(year person)
save panel_annual, replace

restore 

list person time year quarter month emp wage if person < 3





